Перейти к содержанию

Igor79

Пользователи
  • Публикаций

    11
  • Зарегистрирован

  • Посещение

  • Победитель дней

    1

Igor79 стал победителем дня 25 декабря 2011

Igor79 имел наиболее популярный контент!

Репутация

3 Обычный

Информация о Igor79

  • Звание
    Посетитель
  1. Здравствуйте! Использую nanoCAD .NET API Код который должен нарисовать линию <CommandMethod("PRIVET")> Public Sub PRIVET() Dim p1 As New Teigha.Geometry.Point3d(10, 10, 0) Dim p2 As New Teigha.Geometry.Point3d(100, 100, 0) Dim o As New Teigha.DatabaseServices.Line(p1, p2) End Sub Что нужно что-бы линия появилась в пространстве модели?
  2. Можно ли получить свойство "серийный номер" после привязки API (COM-библиотеки ncauto.dll)к Visual Studio? Если нет - то как?
  3. Здравствуйте! Ещё есть проектировщики проектирующие отоплние на чистом nanoCAD 3.7 - ? т.е. на бесплатной версии Сейчас пишу программку для отрисовки аксонометрической схемы, это будет нужно ещё кому нибудь?
  4. Скачал этот файл McCOM2.chm(1,2мб) открывается но видно только оглавление, самой справки нет.
  5. Если приведенное выше (на JScript) перевести на VB.NET код "засыпется" на этом: var r = ThisDrawing.ModelSpace.AddRegion(circle) это примерно так Dim r As Object = nc.ActiveDocument.ModelSpace.AddRegion(circle) и зависает! Можете подсказать как это реализовать на VB.NET? Dim xyz() As Double = {0, 0, 0} Dim cr1(0 To 0) As OdaX.AcadEntity cr1(0) = nc.ActiveDocument.ModelSpace.AddCircle(xyz, 1000) Dim reg As OdaX.AcadRegion = nc.ActiveDocument.ModelSpace.AddRegion(cr1) Т.е. что-бы и ошибка не появлялась и что-бы объектом reg(OdaX.AcadRegion) можно было управлять???
  6. Здравствуйте! Как настроить вес линий для отображения на экране А-то как-то одинаково тонко отображаются линии с 0 по 0,3 мм в 1 пиксель а потом бабах 0,35-0,6 тоже одинаково но внезапно толсто в 3 пикселя...
  7. Не-а! Не помогает!!! nc.Profile.Section("Colors").Value("Background") = 12632256 nc.SendCommand("REGEN ") Что не так? Подходящий костыль найден - помогает в принципе (сохранить/закрыть/заново открыть) файл чертежа, другие открытые документы при этом даже сохраняют прежний цвет фона модели.
  8. Здравствуйте! Как изменит цвет фона в VBA (или .NET) разобрался, вроде так nc.Profile.Section("Colors").Value("Background") = xxx как теперь программно применить внесенные изменения настроек???
  9. Здравствуйте! Как получить свойства объекта mcsDbObjectNotePosition или mcsDbObjectNote из Visual Studio 2008(Basic)? А именно значение текстовых полей объекта "Универсальная выноска" или "Позиционная выноска" и координаты стрелки?
  10. Здравствуйте! Почему не работает AddRegion? Visual Studio 2008 Standart Basic Public Class Form1 Dim nc As New nanoCAD.Application Dim docs As nanoCAD.InanoCADDocuments Dim pi As Double = 3.141592654 Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click Dim xyz() As Double = {0, 0, 0} Dim cr1(0 To 0) As OdaX.AcadEntity cr1(0) = nc.ActiveDocument.ModelSpace.AddCircle(xyz, 1000) Dim r1 As OdaX.AcadEntity = nc.ActiveDocument.ModelSpace.AddRegion(cr1) End Sub Собственно сам регион
×
×
  • Создать...